Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#33598 - [virtualbox-guest-modules] Fail to load vboxvideo module with linux 3.7.4

Attached to Project: Community Packages
Opened by Benjamin Robin (benjarobin) - Sunday, 27 January 2013, 17:35 GMT
Last edited by Sébastien Luttringer (seblu) - Friday, 29 March 2013, 03:18 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Ionut Biru (wonder)
Sébastien Luttringer (seblu)
Architecture All
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 5
Private No

Details

Description: After updating the whole system, the module vboxvideo failed to load with the error message :

[ 5.435378] vboxvideo: disagrees about version of symbol drm_pci_init
[ 5.435385] vboxvideo: Unknown symbol drm_pci_init (err -22)
[ 5.435394] vboxvideo: disagrees about version of symbol drm_vblank_init
[ 5.435396] vboxvideo: Unknown symbol drm_vblank_init (err -22)
[ 5.435402] vboxvideo: disagrees about version of symbol drm_pci_exit
[ 5.435404] vboxvideo: Unknown symbol drm_pci_exit (err -22)

After rebuilding the package with the PKGBUILD provide by the package virtualbox-modules 4.2.6-4 I can successfully load the vboxvideo module
Maybe 4.2.6-4 was not compiled against the right version ?

Additional info:
* package version(s)
linux 3.7.4-1 and virtualbox-guest-modules-4.2.6-4

Steps to reproduce: pacman -Syu + modprobe vboxvideo
This task depends upon

Closed by  Sébastien Luttringer (seblu)
Friday, 29 March 2013, 03:18 GMT
Reason for closing:  Fixed
Comment by Josh Braun (wideaperture) - Sunday, 27 January 2013, 18:10 GMT
I am also experiencing this issue.
Comment by Ian Thompson (iThompson) - Monday, 28 January 2013, 04:45 GMT
I can confirm. modinfo says that all the vbox modules were compiled against kernel 3.7.1-2-ARCH.
Comment by Yuri Kanivetsky (x-yuri) - Tuesday, 29 January 2013, 15:20 GMT
Could you please help with building virtualbox-modules for now?
https://bbs.archlinux.org/viewtopic.php?id=157091
Comment by Benjamin Robin (benjarobin) - Tuesday, 29 January 2013, 15:25 GMT
The solution were provided by illusionist in the second message... Your PATH is broken... Why ? I don't know...

But this is definitely not the place here to talk about this point...
Comment by Josh Braun (wideaperture) - Wednesday, 30 January 2013, 23:59 GMT
This problem appears to be resolved for me upon upgrading to linux 3.7.5-1 and virtualbox-guest-modules 4.2.6-5.

Loading...